@startuml

!theme crt-green
skinparam backgroundColor #000000
skinparam nodesep 100
skinparam ranksep 100
skinparam edgesep 100
top to bottom direction
skinparam linetype ortho

class Audit_AuditEvent {
   auditEventId: bigint(20)
   --
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   className: varchar(200) <PFK>
   classPK: varchar(75) <PFK>
   userName: varchar(200)
   createDate: datetime(6)
   eventType: varchar(75)
   message: longtext
   clientHost: varchar(255)
   clientIP: varchar(255)
   serverName: varchar(255)
   serverPort: int(11)
   sessionID: varchar(255)
   additionalInfo: longtext
}
class ClassName_ {
   classNameId: bigint(20)
   --
   mvccVersion: bigint(20)
   value: varchar(200)
}

together {
    class Configuration_ {
       configurationId: varchar(512)
       --
       dictionary: longtext
    }
    class O_64463788232944_Mineral_x {
       c_mineralId_: bigint(20)
       --
    }
    class O_64463788232944_Rock_x {
       c_rockId_: bigint(20)
       --
    }
}
class O_64463788232944_Mineral {
   c_mineralId_: bigint(20)
   --
   r_rockMineral_c_rockId: bigint(20) <FK>
   name_: varchar(280)
}

class O_64463788232944_Rock {
   c_rockId_: bigint(20)
   --
   name_: varchar(280)
}
class ObjectDefinition {
   objectDefinitionId: bigint(20)
   --
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   objectFolderId: bigint(20) <FK>
   pkObjectFieldDBColumnName: varchar(75) <PFK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   externalReferenceCode: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   accountERObjectFieldId: bigint(20)
   descriptionObjectFieldId: bigint(20)
   rootObjectDefinitionId: bigint(20)
   titleObjectFieldId: bigint(20)
   accountEntryRestricted: tinyint(4)
   active_: tinyint(4)
   dbTableName: varchar(75)
   label: longtext
   className: varchar(255)
   enableCategorization: tinyint(4)
   enableComments: tinyint(4)
   enableIndexSearch: tinyint(4)
   enableLocalization: tinyint(4)
   enableObjectEntryDraft: tinyint(4)
   enableObjectEntryHistory: tinyint(4)
   modifiable: tinyint(4)
   name: varchar(75)
   panelAppOrder: varchar(75)
   panelCategoryKey: varchar(75)
   pkObjectFieldName: varchar(75)
   pluralLabel: longtext
   portlet: tinyint(4)
   scope: varchar(75)
   storageType: varchar(255)
   system_: tinyint(4)
   version: int(11)
   status: int(11)
}
class ObjectField {
   objectFieldId: bigint(20)
   --
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   objectDefinitionId: bigint(20) <FK>
   dbColumnName: varchar(75) <PFK>
   dbTableName: varchar(75) <PFK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   externalReferenceCode: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   listTypeDefinitionId: bigint(20)
   businessType: varchar(75)
   dbType: varchar(75)
   indexed: tinyint(4)
   indexedAsKeyword: tinyint(4)
   indexedLanguageId: varchar(75)
   label: longtext
   localized: tinyint(4)
   name: varchar(75)
   readOnly: varchar(75)
   readOnlyConditionExpression: longtext
   relationshipType: varchar(75)
   required: tinyint(4)
   state_: tinyint(4)
   system_: tinyint(4)
}
class ObjectFieldSetting {
   objectFieldSettingId: bigint(20)
   --
   objectFieldId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   name: varchar(75)
   value: varchar(255)
}
class ObjectFolderItem {
   objectFolderItemId: bigint(20)
   --
   objectDefinitionId: bigint(20) <FK>
   objectFolderId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   positionX: int(11)
   positionY: int(11)
}
class ObjectRelationship {
   objectRelationshipId: bigint(20)
   --
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   objectDefinitionId1: bigint(20) <FK>
   objectDefinitionId2: bigint(20) <FK>
   objectFieldId2: bigint(20) <FK>
   parameterObjectFieldId: bigint(20) <FK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   externalReferenceCode: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   deletionType: varchar(75)
   dbTableName: varchar(75)
   edge: tinyint(4)
   label: longtext
   name: varchar(75)
   reverse: tinyint(4)
   system_: tinyint(4)
   type_: varchar(75)
}
class PLOEntry {
   ploEntryId: bigint(20)
   --
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   key_: varchar(1000) <PFK>
   mvccVersion: bigint(20)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   languageId: varchar(75)
   value: longtext
}
class Portlet {
   id_: bigint(20)
   --
   companyId: bigint(20) <FK>
   portletId: varchar(200)
   mvccVersion: bigint(20)
   roles: longtext
   active_: tinyint(4)
}
class ResourceAction {
   resourceActionId: bigint(20)
   --
   mvccVersion: bigint(20)
   name: varchar(255)
   actionId: varchar(75)
   bitwiseValue: bigint(20)
}
class ResourcePermission {
   resourcePermissionId: bigint(20)
   --
   companyId: bigint(20) <FK>
   roleId: bigint(20) <FK>
   name: varchar(255) <PFK>
   primKey: varchar(255) <PFK>
   primKeyId: bigint(20)
   ownerId: bigint(20)
   mvccVersion: bigint(20)
   scope: int(11)
   actionIds: bigint(20)
   viewActionId: tinyint(4)
   ctCollectionId: bigint(20)
}

ObjectDefinition }o--o| O_64463788232944_Mineral : dbTableName+pkObjectFieldDBColumnName
ObjectDefinition }o--o| O_64463788232944_Rock : dbTableName+pkObjectFieldDBColumnName
ClassName_ }o--o| ObjectDefinition : value
ObjectField }o--|| ObjectDefinition : objectDefinitionId
ObjectFieldSetting }o--|| ObjectField : objectFieldId
ObjectFolderItem }o--|| ObjectDefinition : objectDefinitionId
ObjectRelationship }o--o| ObjectDefinition : objectDefinitionId1
ObjectRelationship }o--o| ObjectDefinition : objectDefinitionId2
ObjectRelationship }o--o| ObjectField : objectFieldId2
Audit_AuditEvent }o--o| ObjectDefinition : className+classPK
Audit_AuditEvent }o--o| ObjectField : className+classPK
Audit_AuditEvent }o--o| ObjectFieldSetting : className+classPK
ResourcePermission }o--o| Portlet : name+primKey
ResourcePermission }o--o| ClassName_ : name+primKey
ResourceAction }o--o| Portlet : name
ResourceAction }o--o| ClassName_ : name
PLOEntry }o--o| ClassName_ : key_


@enduml
